<?xml version="1.0"?>
<xsl:stylesheet version="1.1" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="/planets">
        <HTML>
            <HEAD>
                <TITLE>
                    Planetary Information
                </TITLE>
            </HEAD>
            <BODY>
                <H1>
                    Planetary Information
                </H1>
                    <xsl:apply-templates/>
            </BODY>
        </HTML>
    </xsl:template>
    
    <xsl:template match="planet">
        <xsl:if test="name='Earth'">
          You are on 
          <xsl:value-of 
          select="concat(substring-before(name, 'r'), substring(name, 3, 1), substring-after(name, 'r'))"/>.
          <BR/>
        </xsl:if>
   </xsl:template>
    
    <xsl:template match="*">
    </xsl:template>

</xsl:stylesheet>
