<?xml version="1.0" encoding="UTF-8"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="planets">
        <HTML>
            <HEAD>
                <TITLE>
                    The First Three Planets
                </TITLE>
            </HEAD>
            <BODY>
                <H1>
                    The First Three Planets
                </H1>
                <xsl:apply-templates select="planet"/>
            </BODY>
        </HTML>
    </xsl:template>

    <xsl:template match="planet">
        <xsl:if test="position() = 1"><HR/><HR/></xsl:if>
        <P>
            Number <xsl:value-of select="position()"/>. <xsl:value-of select="name"/>
        </P>
        <xsl:if test="position() = last()"><HR/><HR/></xsl:if>
    </xsl:template>

</xsl:stylesheet>