<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 

    <xsl:template match="document">
    <HTML>

        <HEAD>
            <TITLE>City Data</TITLE>
        </HEAD>

        <BODY>

            <H1>City Data</H1>

            <TABLE BORDER="1" CELLPADDING="5">

                <xsl:for-each-group select="data" group-by="@state">
                    <TR>
                        <TD>
                            <xsl:value-of select="@state"/>
                        </TD>
                        <TD>
                            Number of people:
                            <xsl:value-of select="sum(current-group()/@people)"/>
                        </TD>
                        <TD>
                            Cities Used:
                            <xsl:value-of select="current-group()/@city" separator=" "/>
                        </TD>
                    </TR>
                </xsl:for-each-group>

            </TABLE>

        </BODY>

    </HTML>
    </xsl:template>

</xsl:stylesheet> 
