<xsl:stylesheet version="2.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 

    <xsl:template match="planets">
        <html>
            <head>
                <title>
                    The Planets
                </title>
            </head>

            <body>
                <h1>
                    The Planets
                </h1>
                <xsl:for-each select="planet">
                    <xsl:if test="position() = 1"><hr/></xsl:if>
                    <xsl:value-of select="position()"/>
                    <xsl:text> </xsl:text>
                    <xsl:value-of select="name"/>
                    <xsl:value-of select="if (position() = 2) 
                        then ' (the planet of love).' 
                        else '.'"/>
                    <xsl:if test="position() = last()"><hr/></xsl:if>
                    <br/>
                </xsl:for-each>
            </body>
        </html>
    </xsl:template>

</xsl:stylesheet> 
