<?xml version="1.0" encoding="UTF-8"?> 
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="planets">
        <HTML>
            <HEAD>
                <TITLE>
                    Color Coding the Planets
                </TITLE>
            </HEAD>

            <BODY BGCOLOR="PINK">
                <H1>
                    Color Coding the Planets
                </H1>
                <xsl:apply-templates select="planet"/>
            </BODY>
        </HTML>
    </xsl:template>

    <xsl:template match="planet">
        <xsl:choose>
            <xsl:when test="name = 'Mercury'">
                <P>
                    <FONT COLOR="RED"><B>
                        <xsl:value-of select="name"/>
                    </B></FONT>
                </P>
            </xsl:when>
            <xsl:when test="name = 'Venus'">
                <P>
                    <FONT COLOR="WHITE"><B>
                        <xsl:value-of select="name"/>
                    </B></FONT>
                </P>
            </xsl:when>
            <xsl:when test="name = 'Earth'">
                <P>
                    <FONT COLOR="GREEN"><B>
                        <xsl:value-of select="name"/>
                    </B></FONT>
                </P>
            </xsl:when>
            <xsl:otherwise>
                 <P>
                     <xsl:value-of select="."/>
                 </P>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
</xsl:stylesheet>